注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

W_中原的博客笔记

通知:新博客日志将更新到个人站点:http://www.zhgyuan.cn/

 
 
 

日志

 
 

arm-linux-gcc交叉编译器安装步骤  

2013-04-16 00:05:36|  分类: 嵌入式 |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
写在前面:
Linux下开发少不了交叉编译器的使用,我也是最近开始接触Linux的,刚装好了交叉编译器,把步骤跟大家分享下,不一定很合乎规范,但欢迎大家一起讨论。

首先,把安装包复制到Linux下,可以使用smb服务器,NFS,或是共享文件夹等,这个具体操作就不说了。
然后在Linux终端下找到该文件如我自己的文件在/mnt/hgfs/Linux_share
输入指令#  cd /mnt/hgfs/Linux_share   (注明:#后代表指令)
#  ls   (查看该文件夹下所有文件)
tar xjvf  压缩文件名 -C/  (我的文件名用的是4.3.3版本的,解压到根目录下)
现在找一下解压后文件的路径,默认是usr/local/arm下
接下来就要指定环境变量了,很关键。
# vi /etc/profile 或#   gedit/etc/profile(这个是修改环境变量)
进入后修改编译器版本
找到 export PATH USER LOGNAME MAIL HOSTNAME HISTSIZE INPUTRC
我之前有个交叉编译器的版本export PATH=/usr/local/arm/3.3.2/bin:$PATH
是3.3.3的,现在要把版本改为4.3.3,复制上个版本信息,将/usr/local/arm/3.3.2/改为4.3.3的路径,当然得知道新版本的路径了,如我的4.3.3路径是根目录/opt/EmbedSky/4.3.3/,则把export PATH=/usr/local/arm/3.3.2/bin:$PATH替exportPATH=/opt/EmbedSky/4.3.3/bin:$PATH
记得在export PATH=/usr/local/arm/3.3.2/bin:$PATH前加上个#,注释掉3.3.2的版本,使用4.3.3的版本。
保存退出(按下Esc键,再输入 :wq)
到这里就差不多了,但还有一项使修改后的配置生效
source /etc/profile
这样就完成了交叉编译器的安装
现在可以输入arm-linux-gcc -v查看交叉编译器的版本信息了。

每天进步一点点,和大家一起学习。有疑问或问题请评论留言,大家一起来解决
微博@W_中原
  评论这张
 
阅读(729)| 评论(0)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017